• Dieses Forum ist die maschinengenerierte Übersetzung von www.cad3d.it/forum1 - der italienischen Design-Community. Einige Begriffe sind nicht korrekt übersetzt.

Gelistete Ausgabe, bei der die Endnachricht und "Princ" des Zählers nicht angezeigt werden

  • Ersteller Ersteller Angelo2449
  • Erstellt am Erstellt am

Angelo2449

Guest
Hallo alle,
Ich schrieb dieses Programm, das polare Vektoren verfolgt, es funktioniert gut, aber ich verstehe nicht, warum die endgültige Nachricht und der "princ" des Zählers nicht angezeigt wird.
Code:
 (setq fc3 (findfile "c:\\\\\autocadsupporto\polar\\multipolar.dat"))

(falls fc)
(vl-file-delete "c:\\autocadsupport\polar\multipolar.dat")
)


(setq fc3 (findfile "c:\\\\\autocadsupporto\polar\\\\\polar.dat"))

(falls fc)
(vl-file-delete "c:\\\autocadsupport\\polar\\polar\polar\polar\polar.dat")
)

;---------------------------------------------------------------------------------------------------------------------------------------------------

(setq cont 0)

;;---------------------------------------------------------------------------------------------------------------------------------------------------------

(setq nomex1 nil)
(setq nomex2 nil)

(Sectq und 1 nil)
(setq title1 (strcat "wählt den Sendernamen: " (itoa cont)))

(while (= ed1 nil)
(Princtitel)
(Sectq ed1 (entsel))
)

(setq list1 (entget (car e1) '("group"))
(setq xlist1 (assoc -3 list1)
(setq txtdata1 (car (cdr xlist1))
(setq ed1 (entget (car ed1))
(setq txt1 (cdr 1 ed1)
(setq en1 (cdr -1 ed1)
(setq point1 (cdr 10 ed1)
(Auszug en1 3)

(setq nomex1 (nth 1 txtdata1)
(setq type-point1 (cdr 2 txtdata1)
(Satzquote1 (cdr (nth 3 txtdata1))
(setq ecef1 (nth 4 txtdata1))
(setq gaussboaga1 (cdr 5 txtdata1)
(Setq Controllerstz1 (nth 6 txtdata1))
(setq controlpt1 (cdr 7 txtdata1))

(wenn (und (= Checkpt1 "nicht definiert") (= Checktz1 "nicht enthalten"))
(Progn)
(alert "unerfolgreiche Auswahl")
(Auszug)
)
)

;;---------------------------------------------------------------------------------------------------------------------------------------------------------

(Sectq ed2 nil)
(setq title2 (strcat " wählt den Namen des Orientierungspunktes aus: " (itoa cont)))
(while (= ed2 nil)
(Princtitel)
(setq ed2 (entsel)
)

(setq list2 (entget (car ed2) (group)))
(setq xlist2 (assoc -3 list2))
(setq txtdata2 (car (cdr xlist2))
(setq ed2 (entget (car ed2))
(setq txt2 (cdr 1 ed2))
(setq en2 (cdr -1 ed2))
(setq point2 (cdr 10 ed2))
(Auszug en 23)

(setq nomex2 (nth 1 txtdata2))
(setq type-point2 (cdr 2 txtdata2))
(Satzquote2 (cdr (nth 3 txtdata2))
(setq ecef2 (cdr 4 txtdata2))
(setq gaussboaga2 (cdr 5 txtdata2))
(Setq Controllerstz2 (nth 6 txtdata2))
(setq controlpt2 (cdr 7 txtdata2))

(wenn (und (= Checkpt2 "nicht definiert") (= Checktz2 "nicht enthalten"))
(Progn)
(alert "unerfolgreiche Auswahl")
(Auszug)
)
)

(while)
(setq fp1 (open "c:\\\autocadsupport\\polar\mt.dat" "w"))
(writ-line namex1 fp1)
(writing line namex2 fp1)
(Schließe fp)
)

(Auszug en1 4)
(Auszug en2 4)

(princ "\n")
(Princ "gaussboaga1 > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
(princ gaussboaga)
(princ "\n")
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
(princ gaussboaga)
(princ "\n")

(setq posvirg (vl-string-search "," gaussboaga1))
(princ "\n")
(princ "posvir > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
(princ posvirg)
(princ "\n")

(Satzq cx1 (substr gaussboaga1 1 (- posvirg 1)))
(setq cy1 (substr gaussboaga1 (+ posvirg 2))
(setq point1 (Liste (atof cx1) (atof cy1))

(setq posvirg (vl-string-search "," gaussboaga2))
(princ "\n")
(princ "posvir > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
(princ posvirg)
(princ "\n")

(Satzq cx2 (substr gaussboaga2 1 (- posvirg 1)))
(setq cy2 (substr gaussboaga2 (+ posvirg 2))
(setq point2 (tof cx2) (atof cy2))

(setq organg (angle point1 point2)

(Befehl "_line" gaussboaga1 gaussboaga2")
(Befehl "_change" "_last" "_p" "_c" "_red"")

(Seq-Ursprung t)

;;---------------------------------------------------------------------------------------------------------------------------------------------------------

(Start "c:\autocadsupporto\liberty\mt3.exe "c:\\autocadsupport\\\liberty\mt3.tkn")

(seq control1 nil)
(while (= Steuerung 1 nil)
(setq control1 (findfile "c:\\\autocadsupport\\polar\\\\polar.dat"))
)

(princ "\n")
(Prinzip "Kontrolle 1 > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
(princ control)
(princ "\n")

(seq control2 nil)
(while (= Steuerung 2 nil)
(setq control2 (findfile "c:\\\autocadsupport\\polar\\\\\polarsetup.dat"))
)

(setq hprisma nil)

(while (= hprisma nil)
(wenn (= Steuerung 2 "c:\\autocadsupport\\\polar\\polarsetup.dat")
(Progn)
(setq fp2 (open "c:\\\\autocadsupport\\\\polar\\\polarsetup.dat" "r"))
(setq Vektoren (read-line fp2))
(setq Kreis (readline fp2))
(Setq-Radius (Leselinie fp2))
(setq-Anhebung (readline fp2))
(setq colorline (read-line fp2))
(Setq Farbkreis (Leselinie fp2))
(setq fine (readline fp2))
(setq libretto)
(setq notation (read line fp2))
(Setq Notenorientierung (Leselinie fp2))
(setq hstrument (read line fp2))
(setq hprisma (read-line fp2))
(Schließe fp)
;
;
)

(setq fp10 (open "c:\\\autocadsupport\\\\librettopregeo.dat" "a"))

(wenn (= Steuerung 1 "c:\\autocadsupport\\\polar\\dat")
(Progn)
(setq fp1 (offen "c:\\\\\\autocadsupporto\polar\\\polar.dat" "r"))
(setq numrighe (read-line fp1))
(setq station (readline fp1))

(Repeat)

(setq i (+ i 1))
(setq line (readline fp1))

(Setq dincl (Unterzeile 18 14)
(Einzelmenge)

(Setq-Angath (Unterzeile 37 19)
(setq angzenith (atof angath)
(setq angzenith (abs(- 100 angzenith)))

(setq angzenithrad (* (/ angzenith 400) pi)
(setq coszr (cos angzenithrad)
(seq distanzer)

(sin angzenithrad)
(Sekt der Differenz in der Ebene (* sinezr))
(Einsatzquoten (- (Tof Quote1) Höhenunterschied)
(Einsatzquotenstr (rtosquotex)

;;---------------------------------------------------------------------------------------------------------------------------------------------------------

(setq angah (Unterzeile 62 20)
(setq angazimuth (atof angah))

(Setq ag1 (Winkelpunkt1 Punkt2)
(setq agrad (/ angazimuth 200)
(setq agrad (* agrad pi)

(- (-* 2 pi) (- agrad ag1)) Abstandshalter

(setq Beschreibung)
(setq Beschreibung)

;;---------------------------------------------------------------------------------------------------------------------------------------------------------

(wenn (= Träger "1")
(Progn)
(Befehl "_line" Punkt1 ")
(Befehl "_change" "_last" "_p" "_c" "_red"")
;
;

(falls = Kreis "1")
(Progn)
(Befehl "_circle" Radius Punkt)
(Befehl "_change" "_last" "_p" "_c" "_red"")
;
;

(Satzname (Unterzeile 1 14)
(setq posblank (vl-string-search " punkt name))
(setq Punktname (substr Punktname (+ posblank 2))
(setq Punktname (vl-string-trim " Punktname))
(Befehl "_text" Punkt 0.40 0 Punkt Name)
(Befehl "_change" "_last" "_p" "_c" 174 ")

(wenn (= Booklet "1")
(Progn)
(setq Namensgebung (entlast))
(Seq Objekt "Gruppe")

(wenn nicht (tblsearch "appid" object)
(Entfernungsobjekt)
)

(setq oldlist (entget nomeentita)
(setq xyz (cdr 10 oldlist))
(setq gaussboaga (strcat (rtos (car xyz)) "," (rtos (cadr xyz)))

(Datensatz (Liste -3 (cons 1000 point name) (cons 1000 "basic final page") (cons 1000 zitstr) (cons 1000 "-----------------) (cons 1000 gaussboaga) (cons 1000 nomex1) (cons 1000 "definite")))))

(Setq neue Liste)
(entmod newlist)
;
;

(princ "\n")
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
(princ i)
(princ "\n")

;

(Schließe fp)
)
)

(in der Nähe fp10)

(alert "polare Tracing durchgeführt")

)
Ich wiederhole, abgesehen von den beiden Details funktioniert der Code großartig!
p.s. Ich habe die Erklärung der Variablen aus Platzgründen gelöscht.
Danke.
 

Statistik des Forums

Themen
58.521
Beiträge
499.056
Mitglieder
104.110
Neuestes Mitglied
ChristianR

Zurzeit aktive Besucher

Keine Mitglieder online.
Zurück
Oben